summaryrefslogtreecommitdiffstats
path: root/desktop/ratpoison
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 14:03:47 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:03:47 +0200
commitc0d21d2851f1f16362e28b7126558cc98418c818 (patch)
tree3d097c0da192f0403c5c32cf464e195391c5ce83 /desktop/ratpoison
parenta28f7f6de1ee0814d1e1a3e8aa655d2fedc0b32e (diff)
downloadslackbuilds-c0d21d2851f1f16362e28b7126558cc98418c818.tar.gz
slackbuilds-c0d21d2851f1f16362e28b7126558cc98418c818.tar.xz
desktop/ratpoison: Initial import
Diffstat (limited to 'desktop/ratpoison')
-rw-r--r--desktop/ratpoison/README4
-rw-r--r--desktop/ratpoison/ratpoison.SlackBuild89
-rw-r--r--desktop/ratpoison/ratpoison.info8
-rw-r--r--desktop/ratpoison/slack-desc10
-rw-r--r--desktop/ratpoison/xinitrc.ratpoison29
5 files changed, 140 insertions, 0 deletions
diff --git a/desktop/ratpoison/README b/desktop/ratpoison/README
new file mode 100644
index 0000000000..a34d5753a8
--- /dev/null
+++ b/desktop/ratpoison/README
@@ -0,0 +1,4 @@
+ratpoison is a light tiling window manager for X. It shares many similarities
+with screen, which has already made wonders for the CLI world. It allows
+perfect harmony between CLI and X11 apps.
+
diff --git a/desktop/ratpoison/ratpoison.SlackBuild b/desktop/ratpoison/ratpoison.SlackBuild
new file mode 100644
index 0000000000..9737bd2096
--- /dev/null
+++ b/desktop/ratpoison/ratpoison.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for ratpoison
+
+# Copyright 2006 Martin Lefebvre (dadexter@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+PRGNAM=ratpoison
+VERSION=1.4.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Set the terminal emulater to be used as default by ratpoison
+# The default is xterm if it's not specified in ./configure, so
+# we'll leave it that way here. You can specify rxvt or something
+# else if you wish
+XTERM=xterm
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-x \
+ --with-xterm=$XTERM \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+gzip -9 $PKG/usr/info/*.info
+rm $PKG/usr/info/dir
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/ratpoison/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rf $PKG/usr/share/doc
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+mkdir -p $PKG/etc/X11/xinit
+install -m 0755 $CWD/xinitrc.ratpoison $PKG/etc/X11/xinit/xinitrc.ratpoison
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/ratpoison/ratpoison.info b/desktop/ratpoison/ratpoison.info
new file mode 100644
index 0000000000..79200793c9
--- /dev/null
+++ b/desktop/ratpoison/ratpoison.info
@@ -0,0 +1,8 @@
+PRGNAM="ratpoison"
+VERSION="1.4.1"
+HOMEPAGE="http://www.nongnu.org/ratpoison/"
+DOWNLOAD="http://savannah.nongnu.org/download/ratpoison/ratpoison-1.4.1.tar.gz"
+MD5SUM="fcbdcc84cfad9b18518074f676eba270"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="robw810"
diff --git a/desktop/ratpoison/slack-desc b/desktop/ratpoison/slack-desc
new file mode 100644
index 0000000000..2dcc112c08
--- /dev/null
+++ b/desktop/ratpoison/slack-desc
@@ -0,0 +1,10 @@
+ratpoison: ratpoison is a light tiling window manager for X.
+ratpoison:
+ratpoison: It shares many similarities with screen, which has already
+ratpoison: made wonders for the CLI world. It allows perfect harmony between
+ratpoison: CLI and X11 apps.
+ratpoison:
+ratpoison: http://www.nongnu.org/ratpoison/
+ratpoison:
+ratpoison:
+ratpoison:
diff --git a/desktop/ratpoison/xinitrc.ratpoison b/desktop/ratpoison/xinitrc.ratpoison
new file mode 100644
index 0000000000..1d0e957e9a
--- /dev/null
+++ b/desktop/ratpoison/xinitrc.ratpoison
@@ -0,0 +1,29 @@
+#!/bin/sh
+# $Xorg: xinitrc.cpp,v 1.3 2000/08/17 19:54:30 cpqbld Exp $
+
+userresources=$HOME/.Xresources
+usermodmap=$HOME/.Xmodmap
+sysresources=/usr/X11R6/lib/X11/xinit/.Xresources
+sysmodmap=/usr/X11R6/lib/X11/xinit/.Xmodmap
+
+# merge in defaults and keymaps
+
+if [ -f $sysresources ]; then
+ /usr/X11R6/bin/xrdb -merge $sysresources
+fi
+
+if [ -f $sysmodmap ]; then
+ /usr/X11R6/bin/xmodmap $sysmodmap
+fi
+
+if [ -f $userresources ]; then
+ /usr/X11R6/bin/xrdb -merge $userresources
+fi
+
+if [ -f $usermodmap ]; then
+ /usr/X11R6/bin/xmodmap $usermodmap
+fi
+
+# start some nice programs
+
+exec /usr/bin/ratpoison